import pyddl
import sys
import numpy as np

n = 10

pyddl.init()

rank = pyddl.rank()

initial_values = [x * (rank + 1)  for x in range(n)]

arr = np.array(initial_values, dtype=np.float32)

# ddl_bcast using numpy array
pyddl.bcast(arr, n, pyddl.DDL_TYPE_FLOAT, 0)

# Verify that the bcast produced the correct result
result = np.array_equal(np.array([x for x in range(n)], dtype=np.float32), arr)

if not result:
    sys.exit(1)

pyddl.finalize()

